FIND Reservations

Returns the reservations

Body Params

Find Reservations

string
enum

Defaults to INTERNAL if not set.

Setting idFormat to EXTERNAL changes the behaviour of the request and response. For the request the id parameter must be a string external id when referencing:

  • object
  • field
  • type
  • reservationMode

For the response the above list of items (if present) will be referenced by external id instead of internal.

Values that change from integer to string when changing idFormat are shown as either integer or string in the documentation. This is true both for the request and the response.

Allowed:
string
enum
int64
int64
modified
object
date
object
searchObjects
array of objects
searchObjects
types
array of objects
types
fields
object
reservationStatus
array of strings

There are currently four different groups of status; labeled A to D. If no status is given in the reservationStatus array the reservations that correspond to the first item in each group is obtained. So as default reservations with status A_RESERVATION, B_COMPLETE, C_CONFIRMED and D_TIME are returned. If we also want to obtain incomplete reservations we would have to add this to the status list parameter and also add complete reservations. So the list B_COMPLETE, B_INCOMPLETE gives us both of them. If we just send in B_INCOMPLETE we only get those reservations. If we also want the preliminary reservations and not only the confirmed reservations we will have to add C_CONFIRMED, C_PRELIMINARY to the status list parameter. If we want both complete and incomplete as well as confirmed and preliminary reservations we will need to send this list: B_COMPLETE, B_INCOMPLETE, C_CONFIRMED, C_PRELIMINARY. If we would like to get all reservations that have a begin and end time we will use this status list: B_COMPLETE, B_INCOMPLETE, C_CONFIRMED, C_PRELIMINARY, C_PLANNED, C_REQUESTED, C_REJECTED. The reservations returned will not contain the different default status listed above. If a reservation is B_COMPLETE this status will not be on the reservation. If on the other hand the reservation is B_INCOMPLETE this status will be in the status list of the reservation. Most reservations will have an empty status list meaning that they have the following status A_RESERVATION, B_COMPLETE, C_CONFIRMED and D_TIME.

reservationStatus

Please use reservationModes instead

reservationModes
array of objects

Reservation modes that should be used as a filter for the resulting reservations

reservationModes
boolean

Include reservation modes in the resulting reservations

boolean

Include only reservations for this user, as oppose to all reservations

ids
array of int64s

List of reservation ids to get, these are always returned in the response even if they do not match other query parameters

ids
extIds
array of strings

List of reservation extIds to get, these are always returned in the response even if they do not match other query parameters

extIds
Responses

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json